> -- | This is a joke package. It is meant to show Haskell packages on
> -- Hackage can be mutated by revising them. This package uses a custom
> -- Cabal setup. It reads the package description, which is what you are
> -- reading now, and creates a file at build time from its contents. Since
> -- revisions are allowed to change descriptions, the package itself is
> -- mutable. I personally disagree with Hackage revisions, so I authored
> -- this package to show one way they can be abused.
>
> module AcmeMutablePackage ( mutable ) where
>
> -- | Are packages mutable? You might think they would be immutable, but you
> -- would be wrong.
>
> mutable :: Bool
> mutable = True